Package com.google.protobuf

# Interface BlockingService

public interface BlockingService
Blocking equivalent to `Service`.

## Method Summary

Modifier and Type
Method
Description
`Message`
`callBlockingMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request)`
Equivalent to `Service.callMethod(com.google.protobuf.Descriptors.MethodDescriptor, com.google.protobuf.RpcController, com.google.protobuf.Message, com.google.protobuf.RpcCallback<com.google.protobuf.Message>)`, except that `callBlockingMethod()` returns the result of the RPC or throws a `ServiceException` if there is a failure, rather than passing the information to a callback.
`Descriptors.ServiceDescriptor`
`getDescriptorForType()`
Equivalent to `Service.getDescriptorForType()`.
`Message`
`getRequestPrototype(Descriptors.MethodDescriptor method)`
Equivalent to `Service.getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor)`.
`Message`
`getResponsePrototype(Descriptors.MethodDescriptor method)`
Equivalent to `Service.getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor)`.

## Method Details

### getDescriptorForType

Descriptors.ServiceDescriptor getDescriptorForType()
Equivalent to `Service.getDescriptorForType()`.

### callBlockingMethod

Message callBlockingMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request) throws ServiceException
Equivalent to `Service.callMethod(com.google.protobuf.Descriptors.MethodDescriptor, com.google.protobuf.RpcController, com.google.protobuf.Message, com.google.protobuf.RpcCallback<com.google.protobuf.Message>)`, except that `callBlockingMethod()` returns the result of the RPC or throws a `ServiceException` if there is a failure, rather than passing the information to a callback.

Throws:
  `ServiceException`

### getRequestPrototype

Message getRequestPrototype(Descriptors.MethodDescriptor method)
Equivalent to `Service.getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor)`.

### getResponsePrototype

Message getResponsePrototype(Descriptors.MethodDescriptor method)
Equivalent to `Service.getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor)`.